if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FAT_ELDET]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)

/****** Object:  Table [dbo].[FAT_ELDET]    Script Date: 30/11/2018 11:30:30 ******/
CREATE TABLE [dbo].[FAT_ELDET](
	[ditta] [int] NOT NULL CONSTRAINT [DF_FAT_ELDET_ditta]  DEFAULT ((0)),
	[id] [bigint] NOT NULL CONSTRAINT [DF_FAT_ELDET_id]  DEFAULT ((0)),
	[numeroriga] [int] NOT NULL CONSTRAINT [DF_FAT_ELDET_numeroriga]  DEFAULT ((0)),
	[TipoCessionePrestazione] [char](10) NOT NULL CONSTRAINT [DF_FAT_ELDET_TipoCessionePrestazione]  DEFAULT (''),
	[CodiceArticolo_CodiceTipo] [char](35) NOT NULL CONSTRAINT [DF_FAT_ELDET_CodiceArticolo_CodiceTipo]  DEFAULT (''),
	[CodiceArticolo_CodiceValore] [char](35) NOT NULL CONSTRAINT [DF_FAT_ELDET_CodiceArticolo_CodiceValore]  DEFAULT (''),
	[Descrizione] [char](1000) NOT NULL CONSTRAINT [DF_FAT_ELDET_Descrizione]  DEFAULT (''),
	[Quantita] [char](21) NOT NULL CONSTRAINT [DF_FAT_ELDET_Quantita]  DEFAULT (''),
	[UnitaMisura] [char](10) NOT NULL CONSTRAINT [DF_FAT_ELDET_UnitaMisura]  DEFAULT (''),
	[PrezzoUnitario] [char](21) NOT NULL CONSTRAINT [DF_FAT_ELDET_PrezzoUnitario]  DEFAULT (''),
	[ScontoMaggiorazioneTipo] [char](2) NOT NULL CONSTRAINT [DF_FAT_ELDET_ScontoMaggiorazioneTipo]  DEFAULT (''),
	[ScontoMaggiorazionePercentuale] [char](6) NOT NULL CONSTRAINT [DF_FAT_ELDET_ScontoMaggiorazionePercentuale]  DEFAULT (''),
	[ScontoMaggiorazioneImporto] [char](15) NOT NULL CONSTRAINT [DF_FAT_ELDET_ScontoMaggiorazioneImporto]  DEFAULT (''),
	[prezzoTotale] [char](21) NOT NULL CONSTRAINT [DF_FAT_ELDET_prezzoTotale]  DEFAULT (''),
	[AliquotaIVA] [char](6) NOT NULL CONSTRAINT [DF_FAT_ELDET_AliquotaIVA]  DEFAULT (''),
	[Natura] [char](2) NOT NULL CONSTRAINT [DF_FAT_ELDET_Natura]  DEFAULT (''),
	[idtid] [int] NOT NULL CONSTRAINT [DF_FAT_ELDET_ddtid]  DEFAULT ((0)),
	[RiferimentoNumeroLineaxDDT] [char](10) NOT NULL CONSTRAINT [DF_FAT_ELDET_RiferimentoNumeroLineaxDDT]  DEFAULT (''),
 CONSTRAINT [PK_FAT_ELDET] PRIMARY KEY CLUSTERED 
(
	[ditta] ASC,
	[id] ASC,
	[numeroriga] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

SET ANSI_PADDING OFF
GO